#version 430 core

in vec2 fragUV;

uniform sampler2D tex;

out vec4 color;

void main() {
	// downsample
	float threshold = 0.95;
	vec3 color_t = texture(tex, fragUV, 1).rgb;
	if(any(lessThan(color_t.rgb, vec3(threshold))))
		color_t = vec3(0);
	//color_t = max(color_t - threshold, 0);
	color = vec4(color_t, 1);
}