#version 430 core

in vec3 eyeDirection_cameraspace;
in vec3 fragPosition_cameraspace;
in vec3 position_modelspace;

uniform mat4 V;
uniform sampler2D diffTex;

in vec2 UV;
in vec4 color;

out vec4 fragColor;

void main() {

	// compute alpha from distance to center
    //float r = length(UV*2.0-1.0)*2;
    //float i = exp(-r*r) * 0.1;
    //if (i < 0.001) discard;

    vec4 tex = texture(diffTex, UV).rgba;

    if(tex.a < 0.01) {
    	fragColor = vec4(0, 0, 0, 0);
    } else {
		fragColor = tex * vec4(1, 1, 1, 0.05);
    }
}
