#version 430 core

layout(location = 0) in vec3 position;

uniform mat4 M;
uniform mat4 MVP;

out vec3 frag_texCoords;

void main() {
	
	gl_Position = MVP * vec4(position, 1);
	
	gl_Position = vec4(gl_Position.xy, gl_Position.w - 0.001, gl_Position.w); //so z component is after perspective divide always 1.0 and so always behind all other scene objects 
	frag_texCoords = position;
}