#version 430 core

in vec2 UV;
in vec4 color;

out vec4 fragColor;

void main() {

	// compute alpha from distance to center
    float r = length(UV*2.0-1.0)*2;
    float i = exp(-r*r) * 0.01;
    if (i < 0.001) discard;

	//fragColor = vec4(color.xyz, i);
	fragColor = vec4(color.xyz, 1);
}
