#version 430 core

in vec3 frag_texCoords;

uniform samplerCube cubeMapTex;

out vec4 color;

void main() {
	vec3 texColor = texture(cubeMapTex, frag_texCoords).rgb;
	
	texColor.x = clamp(texColor.x, 0.0, 0.95);
	texColor.y = clamp(texColor.y, 0.0, 0.95);
	texColor.z = clamp(texColor.z, 0.0, 0.95);

	color = vec4(texColor, 1);	
}